{"openapi":"3.1.0","info":{"title":"Usage API","description":"Rest API for Usage service. The Authorize button allows to input the auth token and use the try it out feature.","version":"1.0.0"},"servers":[{"url":"https://api.tierpoint.com/api/v1/usage","description":"Generated server url"}],"tags":[{"name":"CBU","description":"Cloud Billing Unit"},{"name":"PublicCloud","description":"Public Cloud"},{"name":"Metallic","description":"Metallic"},{"name":"PureStorage","description":"Pure Storage"},{"name":"Commvault","description":"Commvault"},{"name":"PrivateCloudFlex","description":"Private Cloud Flex"},{"name":"Usage","description":"Usage"},{"name":"PrivateCloud","description":"Private Cloud"},{"name":"O365","description":"Office 365"},{"name":"PublicCloudStorage","description":"Public Cloud Storage"},{"name":"MTC","description":"Multi-Tenant Cloud"},{"name":"DuoUsage","description":"Duo Usage"}],"paths":{"/commvault/clientGroupRule":{"get":{"tags":["Commvault"],"summary":"Fetch All Client Group Rules","operationId":"clientGroupCustomerRules","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}}}},"security":[{"usage-swagger-security":[]}]},"post":{"tags":["Commvault"],"summary":"Create Client Group Rule","operationId":"clientGroupCustomerRules_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientGroupCustomerRulesEntity"}}}}},"security":[{"usage-swagger-security":[]}]}},"/collectorDrop/{collectorName}":{"post":{"tags":["Usage"],"summary":"Usage Collector Drop","operationId":"collectorDrop","parameters":[{"name":"collectorName","in":"path","description":"Name of the collector","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"},"examples":{"Sample Payload":{"summary":"Sample JSON payload","description":"Sample Payload","value":{"field1":"value1","field2":123}}}}},"required":true},"responses":{"200":{"description":"Success","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomResponse"}}}},"401":{"description":"Invalid token","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomResponse"}}}},"403":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomResponse"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomResponse"}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/storage/pure/billing":{"get":{"tags":["PureStorage"],"summary":"Fetch Pure Storage Billing ","operationId":"getPureStorageBilling","parameters":[{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingEntity"}}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/storage/billing":{"get":{"tags":["PublicCloudStorage"],"summary":"Fetch Public Cloud Storage Billing Data","operationId":"getPublicCloudStorageBillingData","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/sharedStorage/pure/billingSummary":{"get":{"tags":["PureStorage"],"summary":"Fetch Pure Shared Storage Billing Summary ","operationId":"getPureSharedStorageBillingSummary","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingSummary"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingSummary"}}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingSummary"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingSummary"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingSummary"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/sharedStorage/pure/billingDetails":{"get":{"tags":["PureStorage"],"summary":"Fetch Pure Shared Storage Billing Details ","operationId":"getPureSharedStorageBillingDetails","parameters":[{"name":"crmId","in":"query","required":true,"schema":{"type":"string"}},{"name":"datacenter","in":"query","required":true,"schema":{"type":"string"}},{"name":"tier","in":"query","required":true,"schema":{"type":"string"}},{"name":"billingDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingDetails"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingDetails"}}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingDetails"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingDetails"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureStorageBillingDetails"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/privateCloud/rates":{"get":{"tags":["PrivateCloud"],"summary":"Fetch Private Cloud Rates Data","operationId":"getPrivateCloudRatesData","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudVMRateEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudVMRateEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudVMRateEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudVMRateEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/privateCloud/flexrates":{"get":{"tags":["PrivateCloudFlex"],"summary":"Fetch Private Cloud Flex Rates Data","operationId":"getPrivateCloudFlexRatesData","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexVMRateEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexVMRateEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexVMRateEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexVMRateEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/privateCloud/flexbilling":{"get":{"tags":["PrivateCloudFlex"],"summary":"Fetch Private Cloud Flex Billing Data","operationId":"getPrivateCloudFlexBillingData","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexVMBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexVMBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexVMBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexVMBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/privateCloud/billing":{"get":{"tags":["PrivateCloud"],"summary":"Fetch Private Cloud Billing Data","operationId":"getPrivateCloudBillingData","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudVMBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudVMBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudVMBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudVMBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/o365/billing":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Summary Billing Report","operationId":"getO365NceSummaryBillingReport","parameters":[{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESummaryBillingReportEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESummaryBillingReportEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESummaryBillingReportEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESummaryBillingReportEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/o365/billingDetails":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Detail Billing Report For All Customers","operationId":"getO365NceDetailedBillingReportForAllCustomers","parameters":[{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEDetailedBillingReportEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEDetailedBillingReportEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEDetailedBillingReportEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEDetailedBillingReportEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/o365/accounting":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Summary Accounting Report","operationId":"getO365NCESummaryAccountingReport","parameters":[{"name":"billingPeriod","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESummaryAccountingReportEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESummaryAccountingReportEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESummaryAccountingReportEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESummaryAccountingReportEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/mtc/billing/memory":{"get":{"tags":["MTC"],"summary":"Fetch MTC Memory Billing Data","operationId":"getMtcMemoryBillingData","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MtcBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MtcBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MtcBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MtcBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/mtc/billing/cpu":{"get":{"tags":["MTC"],"summary":"Fetch MTC CPU Billing Data","operationId":"getMtcCpuBillingData","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MtcBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MtcBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MtcBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MtcBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/duo/rates":{"get":{"tags":["DuoUsage"],"summary":"Fetch Duo Rates ","operationId":"getDuoRates","parameters":[{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoRateEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoRateEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoRateEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoRateEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/duo/billing":{"get":{"tags":["DuoUsage"],"summary":"Fetch Duo Billing ","operationId":"getDuoBilling","parameters":[{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/commvault/serviceAssets":{"get":{"tags":["Commvault"],"summary":"Fetch Commvault Service Assets","operationId":"getCommvaultServiceAssets","parameters":[{"name":"orgId","in":"query","description":"orgId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"locationCode","in":"query","description":"locationCode","required":false,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/commvault/detailSummary":{"get":{"tags":["Commvault"],"summary":"Fetch Commvault detail summary","operationId":"getCommvaultCustomerSummary","parameters":[{"name":"orgId","in":"query","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"locationCode","in":"query","description":"locationCode","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/commvault/billing":{"get":{"tags":["Commvault"],"summary":"Fetch Commvault Billing Report","operationId":"getCommvaultBillingReport","parameters":[{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/reports/cbu/billing":{"get":{"tags":["CBU"],"summary":"Fetch Public Cloud CBU Billing Data","operationId":"getPublicCloudCbuBillingData","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CbuBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CbuBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CbuBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CbuBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/publicCloud/greatPlainsReport":{"get":{"tags":["PublicCloud"],"summary":"Fetch Data For Public Cloud Great Plains Billing Report","operationId":"getPublicCloudGreatPlainsBillingReport","parameters":[{"name":"billingPeriod","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudGreatPlainsBillingReport"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudGreatPlainsBillingReport"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudGreatPlainsBillingReport"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudGreatPlainsBillingReport"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/publicCloud/billingSummary":{"get":{"tags":["PublicCloud"],"summary":"Fetch Data For Public Cloud Customer Level Summary","operationId":"getPublicCloudCustomerLevelSummary","parameters":[{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudBillingSummary"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudBillingSummary"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudBillingSummary"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudBillingSummary"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/subscriptions/earlyTerminationFee":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Early Termination Fee Calculation for Asset Tag List","operationId":"getO365NCEServiceAssetEarlyTerminationFeeCalculation","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"assetTagList","in":"query","description":"Service Asset IDs delimited with pipe character (|)","required":true,"schema":{"type":"string"}},{"name":"effectiveDate","in":"query","description":"Effective Date (YYYY-MM-DD)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEServiceAssetEarlyTerminationFeeEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEServiceAssetEarlyTerminationFeeEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEServiceAssetEarlyTerminationFeeEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEServiceAssetEarlyTerminationFeeEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/storage/pure":{"get":{"tags":["PureStorage"],"summary":"Fetch Pure Storage Customer Summary ","operationId":"getPureStorageCustomerSummary","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PureStorageCustomerSummary"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PureStorageCustomerSummary"}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PureStorageCustomerSummary"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PureStorageCustomerSummary"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PureStorageCustomerSummary"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/sharedStorage/pure/summary":{"get":{"tags":["PureStorage"],"summary":"Fetch Pure Shared Storage Customer Summary ","operationId":"getPureSharedStorageSummary","parameters":[{"name":"crmId","in":"path","required":true,"schema":{"type":"string"}},{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureSharedStorageCustomerSummary"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureSharedStorageCustomerSummary"}}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureSharedStorageCustomerSummary"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureSharedStorageCustomerSummary"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PureSharedStorageCustomerSummary"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/serviceAsset/{serviceAssetId}/subscriptions":{"get":{"tags":["O365"],"summary":"Fetch Active O365 NCE subscription data associated with a Service Asset ID","operationId":"getO365NCESubscriptionsByServiceAsset","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"serviceAssetId","in":"path","description":"Service Asset Id.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESubscriptionEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESubscriptionEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESubscriptionEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESubscriptionEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/ccSecurityBestPractices/overview":{"get":{"tags":["PublicCloud"],"summary":"Fetch CloudCheckr Security Best Practices Overview","operationId":"cloudCheckrSecurityBestPracticesOverview","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticesOverviewResponse"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticesOverviewResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticesOverviewResponse"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticesOverviewResponse"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/ccCostReports/overview":{"get":{"tags":["PublicCloud"],"summary":"Fetch Cloud Checkr Cost Reports Overview","operationId":"cloudCheckrCostReportSummary","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrCostReportSummaryResponse"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrCostReportSummaryResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrCostReportSummaryResponse"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrCostReportSummaryResponse"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/azure/billingReport":{"get":{"tags":["PublicCloud"],"summary":"Fetch Data For CloudCheckr Azure Billing Report","operationId":"getCloudCheckrAzureBillingReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"month","in":"query","description":"Month. Month Number. Ex. 1 for January","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"year","in":"query","description":"Year. 4 Digit Year. Ex. 2022","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAzureBillingReport"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAzureBillingReport"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAzureBillingReport"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/azure/billingOverview":{"get":{"tags":["PublicCloud"],"summary":"Fetch Data For CloudCheckr Azure Billing Overview","operationId":"getCloudCheckrAzureBillingOverview","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBillingOverview"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBillingOverview"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBillingOverview"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/azure/billingDetails":{"get":{"tags":["PublicCloud"],"summary":"Fetch Data For CloudCheckr Azure Detailed Billing Report","operationId":"getCloudCheckrAzureDetailedBillingReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudCheckrAzureDetailedBillingReport"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudCheckrAzureDetailedBillingReport"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudCheckrAzureDetailedBillingReport"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudCheckrAzureDetailedBillingReport"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/aws/billingReport":{"get":{"tags":["PublicCloud"],"summary":"Fetch Data For CloudCheckr AWS Billing Report","operationId":"getCloudCheckrAWSBillingReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"month","in":"query","description":"Month. Month Number. Ex. 1 for January","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"year","in":"query","description":"Year. 4 Digit Year. Ex. 2022","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAWSBillingReport"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAWSBillingReport"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAWSBillingReport"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/aws/billingOverview":{"get":{"tags":["PublicCloud"],"summary":"Fetch Data For CloudCheckr AWS Billing Overview","operationId":"getCloudCheckrAWSBillingOverview","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBillingOverview"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBillingOverview"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBillingOverview"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/aws/billingDetails":{"get":{"tags":["PublicCloud"],"summary":"Fetch Data For CloudCheckr AWS Detailed Billing Report","operationId":"getCloudCheckrAWSDetailedBillingReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudCheckrAWSDetailedBillingReport"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudCheckrAWSDetailedBillingReport"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudCheckrAWSDetailedBillingReport"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudCheckrAWSDetailedBillingReport"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/accounts/{accountId}/ccSecurityBestPractices/summary":{"get":{"tags":["PublicCloud"],"summary":"Fetch CloudCheckr Security Best Practices Account Summary","operationId":"cloudCheckrBestPracticesReportAccountSummary","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAccount"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAccount"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAccount"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrAccount"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/accounts/{accountId}/ccSecurityBestPractices/alerts":{"get":{"tags":["PublicCloud"],"summary":"Fetch CloudCheckr Security Best Practices Alerts","operationId":"cloudCheckrSecurityBestPracticesAlertList","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticeAlertListResponse"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticeAlertListResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticeAlertListResponse"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticeAlertListResponse"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/publicCloud/accounts/{accountId}/ccSecurityBestPractices/alert/{alertId}/details":{"get":{"tags":["PublicCloud"],"summary":"Fetch CloudCheckr Security Best Practices Alert Details","operationId":"cloudCheckrSecurityBestPracticesAlertDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"alertId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticesAlertDetailsResponse"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticesAlertDetailsResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticesAlertDetailsResponse"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudCheckrBestPracticesAlertDetailsResponse"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/o365/subscriptions":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Customer Usage Report","operationId":"getO365NceCustomerUsageReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365CustomerUsageReportEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365CustomerUsageReportEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365CustomerUsageReportEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365CustomerUsageReportEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/o365/subscriptions/changes":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Subscription Changes Report","operationId":"getO365NCESubscriptionChangesReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESubscriptionChangesReportEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESubscriptionChangesReportEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESubscriptionChangesReportEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCESubscriptionChangesReportEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/o365/subscription/{subscriptionId}/details":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Subscription Details","operationId":"getO365NceSubscriptionDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"subscriptionId","in":"path","description":"SubscriptionId.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365SubscriptionDetailsEntity"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365SubscriptionDetailsEntity"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365SubscriptionDetailsEntity"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365SubscriptionDetailsEntity"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/o365/pricesheet/products":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 Products For A Customer","operationId":"getO365NcePricesheetProducts","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"subscriptionId","in":"query","description":"SubscriptionId.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365NCEPricesheetProducts"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365NCEPricesheetProducts"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365NCEPricesheetProducts"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365NCEPricesheetProducts"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/o365/pricesheet/products/{productId}/skus":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 SKUs & Availabilities Available To A Given Product","operationId":"getO365NcePricesheetAvailabilities","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"productId","in":"path","description":"ProductId.","required":true,"schema":{"type":"string"}},{"name":"subscriptionId","in":"query","description":"SubscriptionId.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365NCEPricesheetAvailabilities"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365NCEPricesheetAvailabilities"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365NCEPricesheetAvailabilities"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/O365NCEPricesheetAvailabilities"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/o365/licensingReport":{"get":{"tags":["O365"],"summary":"Fetch O365 software License Details","operationId":"getSoftwareLicenseDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetSoftwareLicenseDetailEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetSoftwareLicenseDetailEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetSoftwareLicenseDetailEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GetSoftwareLicenseDetailEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/o365/billingReport":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Customer Billing Report","operationId":"getO365NceCustomerBillingReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365CustomerBillingReportEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365CustomerBillingReportEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365CustomerBillingReportEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365CustomerBillingReportEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/o365/billingDetails":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Detail Billing Report","operationId":"getO365NceDetailedBillingReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEDetailedBillingReportEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEDetailedBillingReportEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEDetailedBillingReportEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEDetailedBillingReportEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/ms365/subscriptions":{"get":{"tags":["O365"],"summary":"Fetch Data For MS365 NCE Customer Subscriptions","operationId":"getMS365CustomerNCESubscriptions","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MS365NCESubscriptionEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MS365NCESubscriptionEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MS365NCESubscriptionEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MS365NCESubscriptionEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/ms365/subscription/earlyTerminationFee":{"get":{"tags":["O365"],"summary":"Fetch Data For O365 NCE Early Termination Fee Calculation","operationId":"getO365NCEEarlyTerminationFeeCalculation","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"subscriptionId","in":"query","description":"SubscriptionId.","required":false,"schema":{"type":"string"}},{"name":"effectiveDate","in":"query","description":"UTC date and time in milliseconds","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEEarlyTerminationFeeCalculationEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEEarlyTerminationFeeCalculationEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEEarlyTerminationFeeCalculationEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/O365NCEEarlyTerminationFeeCalculationEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/metallic/usageReport":{"get":{"tags":["Metallic"],"summary":"Fetch Metallic Usage Report Data","operationId":"getMetallicUsageReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"month","in":"query","description":"Month. Month must be in (YYYY-MM) format","required":true,"schema":{"type":"string"}},{"name":"skuType","in":"query","description":"Only 'MRR' or 'Consumption' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicUsageReportDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicUsageReportDetails"}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicUsageReportDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicUsageReportDetails"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicUsageReportDetails"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/metallic/universalPricing":{"get":{"tags":["Metallic"],"summary":"Fetch Metallic Metallic Universal Pricing","operationId":"getMetallicUniversalPricing","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicUniversalPricing"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicUniversalPricing"}}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicUniversalPricing"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicUniversalPricing"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicUniversalPricing"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/metallic/detailedUsageReport":{"get":{"tags":["Metallic"],"summary":"Fetch Metallic Detailed Usage Report","operationId":"getMetallicDetailedUsageReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicDetailedUsageReport"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicDetailedUsageReport"}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicDetailedUsageReport"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicDetailedUsageReport"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetallicDetailedUsageReport"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/location/{datacenterCode}":{"get":{"tags":["PrivateCloud"],"summary":"Fetch Private Cloud Detail Header","operationId":"getPrivateCloudDetailHeader","parameters":[{"name":"crmId","in":"path","description":"CrmId.","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudHeaderEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudHeaderEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudHeaderEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudHeaderEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/location/{datacenterCode}/storage/{reportPolicy}/details":{"get":{"tags":["PublicCloudStorage"],"summary":"Fetch Public Cloud Storage Details","operationId":"getPublicCloudStorageDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"reportPolicy","in":"path","description":"Report Policy. Ex. HOSTEDSOL-CPTY-NOCRYPT-REPNONE","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicCloudStorageDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicCloudStorageDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicCloudStorageDetails"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicCloudStorageDetails"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/location/{datacenterCode}/storage/header":{"get":{"tags":["PublicCloudStorage"],"summary":"Fetch Public Cloud Storage Detail Header","operationId":"getPublicCloudStorageDetailHeader","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageDetailHeaderEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageDetailHeaderEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageDetailHeaderEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageDetailHeaderEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/location/{datacenterCode}/mtc/details/memory":{"get":{"tags":["MTC"],"summary":"Fetch MTC Memory Details","operationId":"getMtcMemoryDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MtcDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MtcDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MtcDetails"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MtcDetails"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/location/{datacenterCode}/mtc/details/cpu":{"get":{"tags":["MTC"],"summary":"Fetch MTC CPU Details","operationId":"getMtcCpuDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MtcDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MtcDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MtcDetails"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MtcDetails"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/location/{datacenterCode}/details":{"get":{"tags":["PrivateCloud"],"summary":"Fetch Private Cloud Details","operationId":"getPrivateCloudDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId.","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateCloudDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateCloudDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateCloudDetails"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateCloudDetails"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/location/{datacenterCode}/cbu/header":{"get":{"tags":["CBU"],"summary":"Fetch Public Cloud CBU Detail Header","operationId":"getPublicCloudCbuDetailHeader","parameters":[{"name":"crmId","in":"path","description":"CrmId.","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CbuDetailHeaderEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CbuDetailHeaderEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CbuDetailHeaderEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CbuDetailHeaderEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/location/{datacenterCode}/cbu/details":{"get":{"tags":["CBU"],"summary":"Fetch Public Cloud CBU Details","operationId":"getPublicCloudCbuDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CbuDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CbuDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CbuDetails"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CbuDetails"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/flex/{flexLicence}/location/{datacenterCode}":{"get":{"tags":["PrivateCloudFlex"],"summary":"Fetch Private Cloud Flex Detail Header","operationId":"getPrivateCloudDetailFlexHeader","parameters":[{"name":"crmId","in":"path","description":"crmId.","required":true,"schema":{"type":"string"}},{"name":"flexLicence","in":"path","description":"flexLicence.","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateCloudFlexHeaderEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/flex/{flexLicence}/location/{datacenterCode}/details":{"get":{"tags":["PrivateCloudFlex"],"summary":"Fetch Private Cloud Flex Details","operationId":"getPrivateCloudFlexDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId.","required":true,"schema":{"type":"string"}},{"name":"flexLicence","in":"path","description":"flexLicence.","required":true,"schema":{"type":"string"}},{"name":"datacenterCode","in":"path","description":"DatacenterCode. Three letter datacenterCode. Ex. AND (Andover), NSH (Nashville)","required":true,"schema":{"type":"string","maxLength":3,"minLength":3}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateCloudFlexDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateCloudFlexDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateCloudFlexDetails"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateCloudFlexDetails"}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/duo/users":{"get":{"tags":["DuoUsage"],"summary":"Fetch Duo Users Details","operationId":"getDuoUsersDetails","parameters":[{"name":"crmId","in":"path","description":"crmId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoUserEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoUserEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoUserEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoUserEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/duo/usage":{"get":{"tags":["DuoUsage"],"summary":"Fetch Duo Usage Details","operationId":"getDuoUsageDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoUsageEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoUsageEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoUsageEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoUsageEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/duo/events":{"get":{"tags":["DuoUsage"],"summary":"Fetch Duo Events Details","operationId":"getDuoEventsDetails","parameters":[{"name":"crmId","in":"path","description":"crmId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoEventsEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoEventsEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoEventsEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoEventsEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/duo/assetevents":{"get":{"tags":["DuoUsage"],"summary":"Fetch Duo Asset Events Details","operationId":"getDuoAssetEventsDetails","parameters":[{"name":"crmId","in":"path","description":"crmId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoAssetEventsEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoAssetEventsEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoAssetEventsEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DuoAssetEventsEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/commvault/billingDetails":{"get":{"tags":["Commvault"],"summary":"Fetch Commvault Billing Details","operationId":"getCommvaultBillingDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"locationCode","in":"query","description":"locationCode","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultBillingDetails"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/clouds":{"get":{"tags":["Usage"],"summary":"Fetch All Provisioned Clouds","operationId":"getProvisionedClouds","parameters":[{"name":"crmId","in":"path","description":"CrmId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProvisionCloud"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProvisionCloud"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProvisionCloud"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProvisionCloud"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/cloud_storage":{"get":{"tags":["PublicCloudStorage"],"summary":"Fetch Public Cloud Storage Billing Data For a Customer","operationId":"getPublicCloudStorageBillingDataForCustomer","parameters":[{"name":"date","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageBillingEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageBillingEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageBillingEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicCloudStorageBillingEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/cloudBillingTypes":{"get":{"tags":["Usage"],"summary":"Fetch Cloud Billing Types","operationId":"getCloudBillingTypes","parameters":[{"name":"crmId","in":"path","description":"CrmId","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudBillingDetails"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudBillingDetails"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudBillingDetails"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CloudBillingDetails"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/org/{crmId}/cloud/{type}/vcenterId/{vCenterId}":{"get":{"tags":["Usage"],"summary":"Fetch Provisioned Cloud Details","operationId":"getProvisionedCloudDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","description":"Cloud Type","required":true,"schema":{"type":"string"}},{"name":"vCenterId","in":"path","description":"vCenter Id","required":true,"schema":{"type":"string"}},{"name":"resourcePoolId","in":"query","description":"Resourcepool Id","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProvisionedCloudDetailsEntity"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProvisionedCloudDetailsEntity"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProvisionedCloudDetailsEntity"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProvisionedCloudDetailsEntity"}}}}},"security":[{"usage-swagger-security":[]}]}},"/ms365/products/{productId}/skus/{skuId}/upgrades":{"get":{"tags":["O365"],"summary":"Fetch Office365 Product Upgrades Details","operationId":"getMS365Upgrades","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"string"}},{"name":"skuId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MS365UpgradeOffersResponse"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"When mandatory fields in request are empty or blank","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"usage-swagger-security":[]}]}},"/ms365/products/{productId}/skus/{skuId}/prerequisites":{"get":{"tags":["O365"],"summary":"Fetch Office365 Product Prerequisites Details","operationId":"getMS365Prerequisites","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"string"}},{"name":"skuId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MS365PrerequisitesResponse"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"400":{"description":"When mandatory fields in request are empty or blank","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"security":[{"usage-swagger-security":[]}]}},"/ms365/pricesheet/skus":{"get":{"tags":["O365"],"summary":"Fetch MS365 SKUs data for an Org","operationId":"getMs365SkusList","parameters":[{"name":"crmId","in":"query","description":"CrmId. For users belonging to your own org, 'self' should be passed. When CrmId is passed only the non-subscribed skus loaded in the response. When CrmId isn't passed all the available skus loaded in the response","required":false,"schema":{"type":"string","maxLength":200,"minLength":0}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MS365ProductSkuEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MS365ProductSkuEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MS365ProductSkuEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MS365ProductSkuEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/metallic/billingSummary":{"get":{"tags":["Metallic"],"summary":"Fetch Metallic Customer-Level Summary","operationId":"getMetallicBillingSummary","parameters":[{"name":"month","in":"query","description":"Month. Month must be in (YYYY-MM) format","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicBillingSummary"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicBillingSummary"}}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicBillingSummary"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicBillingSummary"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetallicBillingSummary"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/config/{configName}":{"get":{"tags":["Usage"],"summary":"Fetch Config Info","operationId":"getCommonConfig","parameters":[{"name":"configName","in":"path","description":"configName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommonConfigEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommonConfigEntity"}}}}},"403":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommonConfigEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommonConfigEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommonConfigEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/commvault/{crmId}/clientreport":{"get":{"tags":["Commvault"],"summary":"Fetch Commvault Client Report","operationId":"getCommvaultClientReport","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientReport"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientReport"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientReport"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientReport"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/commvault/{crmId}/clientoverview":{"get":{"tags":["Commvault"],"summary":"Fetch Commvault Client Overview","operationId":"getCommvaultClientOverview","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientOverview"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientOverview"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientOverview"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientOverview"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/commvault/{crmId}/clientdetailsreport":{"get":{"tags":["Commvault"],"summary":"Fetch Commvault Client Details","operationId":"getCommvaultClientDetails","parameters":[{"name":"crmId","in":"path","description":"CrmId. For users belonging to your own org, 'self' should be passed.","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"UTC date and time in milliseconds","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientDetails"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientDetails"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientDetails"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommvaultClientDetails"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/collector/health/{collectorName}":{"get":{"tags":["Usage"],"summary":"Fetch Collector Health","operationId":"getCollectorHealth","parameters":[{"name":"collectorName","in":"path","description":"collectorName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CollectorHealthList"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CollectorHealthList"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CollectorHealthList"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CollectorHealthList"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/collector/health/stalledParser":{"get":{"tags":["Usage"],"summary":"Fetch Collector Health Stalled Parser","operationId":"getCollectorHealthStalledParsers","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StalledParserEntity"}}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StalledParserEntity"}}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StalledParserEntity"}}}}},"500":{"description":"Unexpected server error. Please try again later or contact the administrator","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StalledParserEntity"}}}}}},"security":[{"usage-swagger-security":[]}]}},"/collector/health/dashboardStats":{"get":{"tags":["Usage"],"summary":"Fetch Collector Health Dashboard Stats","operationId":"getCollectorHealthDashboardStats","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionDashboardStatsDetails"}}}},"401":{"description":"Invalid token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionDashboardStatsDetails"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollectionDashboardStatsDetails"}}}},"500":{"description":"Unexpect
[...]
